> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ulm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a user’s status using a specific user attribute (Machine-to-Machine)

> Changes the status of the Connect user specified by attributeName and attributeValue.



## OpenAPI

````yaml /portal/ConnectActivationAPI.yaml post /activation/user/status/byattribute/{attributeName}/{attributeValue}
openapi: 3.0.1
info:
  title: Connect Activation APIs
  description: >-
    Connect APIs not requiring user context, authenticated with a partner
    authorization header. Connect Activation APIs allow customers to manage
    Connect entities, and synchronize them with customer information in their
    own systems. Access to these calls is restricted through Connect client
    credentials OIDC.
  version: Draft-Go
servers:
  - url: https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85
security: []
paths:
  /activation/user/status/byattribute/{attributeName}/{attributeValue}:
    post:
      tags:
        - user
      summary: >-
        Update a user’s status using a specific user attribute
        (Machine-to-Machine)
      description: >-
        Changes the status of the Connect user specified by attributeName and
        attributeValue.
      operationId: updateUserStatusByAttributeUsingPOST
      parameters:
        - name: attributeName
          in: path
          description: 'The name of the attribute that identifies the user: ''emails.email'''
          required: true
          style: simple
          explode: false
          schema:
            type: string
          example: emails.email
        - name: attributeValue
          in: path
          description: >-
            The value of the attribute that identifies the user:
            john@example.com
          required: true
          style: simple
          explode: false
          schema:
            type: string
          example: john@example.com
      requestBody:
        description: |-
          The desired user status. Possible values for this call include: 
          • activated 
          • suspended 
          • deactivated
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EntityStatusRequestDto'
        required: true
      responses:
        '200':
          description: OK
          content: {}
        '400':
          description: Invalid User input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserChangeStatusResponse400'
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Generic401Dto'
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Generic403Dto'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserGenericResponse404'
        '409':
          description: User internal states is in conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserGenericResponse409'
      security:
        - bearerAuth: []
components:
  schemas:
    EntityStatusRequestDto:
      type: object
      properties:
        status:
          type: string
          example: deactivated
          enum:
            - activating
            - activated
            - suspended
            - deactivated
            - unknown
    UserChangeStatusResponse400:
      type: object
      properties:
        fieldErrors:
          type: array
          items:
            $ref: '#/components/schemas/FieldErrorDto'
        operationErrors:
          type: array
          items:
            $ref: '#/components/schemas/UserChangeStatusResponse400Error'
    Generic401Dto:
      type: object
      properties:
        stackTrace:
          type: string
          description: Optional, returned only in debug mode.
        operationErrors:
          type: array
          items:
            $ref: '#/components/schemas/Generic401DtoOperationErrors'
      description: General Payload for Authentication Error.
    Generic403Dto:
      type: object
      properties:
        stackTrace:
          type: string
          description: Optional, returned only in debug mode.
        operationErrors:
          type: array
          items:
            $ref: '#/components/schemas/Generic403DtoOperationErrors'
    UserGenericResponse404:
      type: object
      properties:
        operationErrors:
          type: array
          items:
            $ref: '#/components/schemas/UserGenericResponse404Error'
    UserGenericResponse409:
      type: object
      properties:
        operationErrors:
          type: array
          items:
            $ref: '#/components/schemas/UserGenericResponse409Error'
    FieldErrorDto:
      title: FieldErrorDto
      type: object
      properties:
        code:
          type: string
          description: logical error code
          example: NotNull
          deprecated: true
        code_v2:
          type: string
          description: logical error code
          example: not-null
        field:
          type: string
          description: Name of the field in error where error happens
          example: name
        message:
          type: string
          description: Human readable error message
          example: Value must not be null
        rejectedValue:
          type: object
          description: >-
            Rejected value. Only visible when the logging level is at least
            DEBUG
          example: bad value
      description: An error arising from a particular input field or its value
    UserChangeStatusResponse400Error:
      type: object
      properties:
        code:
          type: string
          enum:
            - non-unique-attribute
        message:
          type: string
          example: Search criteria does not give unique result
    Generic401DtoOperationErrors:
      type: object
      properties:
        code:
          type: string
          enum:
            - authentication-required
        message:
          type: string
          example: Full Authentication Required
    Generic403DtoOperationErrors:
      type: object
      properties:
        code:
          type: string
          enum:
            - ACCESS_FORBIDDEN
            - security-challenge-failed
        message:
          type: string
          example: Access Denied
    UserGenericResponse404Error:
      type: object
      properties:
        code:
          type: string
          enum:
            - user-not-found
        message:
          type: string
          example: User not found
    UserGenericResponse409Error:
      type: object
      properties:
        code:
          type: string
          enum:
            - user-active-subscription
        message:
          type: string
          example: User not found
  securitySchemes:
    bearerAuth:
      type: oauth2
      description: OAuth 2.0 Authentication
      flows:
        clientCredentials:
          tokenUrl: /oidc/token
          scopes:
            ulm.activation.manage: access to Connect activation API

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.